package com.bonus.canteen.core.allocation.canteen.custom;

import cn.hutool.core.collection.CollUtil;
import com.bonus.canteen.core.allocation.canteen.dto.AllocCanteenSaveDTO;
import com.bonus.canteen.core.allocation.canteen.dto.AllocStallSaveDTO;
import com.bonus.canteen.core.common.custom.business.CustomBusiness;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class CanteenCustomBusiness implements CustomBusiness {
   public String name() {
      return "食堂档口";
   }

   public List<CustomBusiness.Version> versions() {
      return CollUtil.newArrayList(new CustomBusiness.Version[]{CustomBusiness.Version.of("3.6.0", "初版")});
   }

   public void canteenGroupQueryHandler(Long canteenId, AllocCanteenSaveDTO canteenSaveDTO) {
   }

   public void canteenAddHandler(Long canteenId, Map<String, String> extendMap) {
   }

   public void canteenModifyHandler(Long canteenId, Map<String, String> extendMap) {
   }

   public void canteenRemoveHandler(Long canteenId) {
   }

   public void stallGroupQueryHandler(Long stallId, AllocStallSaveDTO stallSaveDTO) {
      Map<String, String> extendMap = new HashMap();
      stallSaveDTO.setExtendMap(extendMap);
   }

   public void stallAddHandler(Long stallId, Map<String, String> extendMap) {
   }

   public void stallModifyHandler(Long stallId, Map<String, String> extendMap) {
   }

   public void stallRemoveHandler(Long stallId) {
   }
}
